<section class="section-container">
  <form class="form-container">
    <input type="text" placeholder="Filter clients..." #filter>
    <button class="primary" type="button" (click)="filterClients(filter.value)">Search</button>
  </form>
  <button type="button" class="addEntity" [routerLink]="['/add-client/false']">Add Client</button>
</section>
<section class="results">
  <div class="client-container">
    <app-client
      *ngFor="let client of filteredClients"
      [client]="client"
    >
    </app-client>
  </div>
  <div class="numbersContainer">
    <input type="number" [(ngModel)]="pageSize" [style.width.px]="pageSize.toString().length * 8 + 20" (ngModelChange)="filterClients(filter.value)" min="1">
    <div class="pagingNumbers" *ngFor="let num of pagesNumbers">
      <a (click)="filterClients(filter.value, num)" [class.active]="num === currentPageNumber">{{ num }}</a>
    </div>
  </div>
</section>
